summaryrefslogtreecommitdiff
path: root/tct/conf/conf.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tct/conf/conf.sh')
-rwxr-xr-xtct/conf/conf.sh14
1 files changed, 9 insertions, 5 deletions
diff --git a/tct/conf/conf.sh b/tct/conf/conf.sh
index 4998ff1..949d05c 100755
--- a/tct/conf/conf.sh
+++ b/tct/conf/conf.sh
@@ -77,12 +77,9 @@ copy_ssh() {
done
}
-wait_ssh() {
- SDMUX="$1"
- test -n "${SDMUX}" || die "Missing argument: sdmux"
+wait_ping() {
test -n "${IP}" || die "Missing env dependency: ip"
- CONNECT_CNT=0
SLEEP=${INIT_SLEEP}
sleep "${SLEEP}"
@@ -101,10 +98,17 @@ wait_ssh() {
fi
sleep "${SLEEP}"
SLEEP=$((SLEEP+INC_SLEEP))
- CONNECT_CNT=$((CONNECT_CNT+1))
done
printf "\n" >&2
+}
+
+wait_ssh() {
+ SDMUX="$1"
+ test -n "${SDMUX}" || die "Missing argument: sdmux"
+ test -n "${IP}" || die "Missing env dependency: ip"
+
+ wait_ping
SLEEP=10